Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetSession

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetSession

Direct Known Subclasses:
  `InetSessionLog`

public class InetSession extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `connectionId`
  `protected short`
  `deviceState`
  Состояние на устройстве для сессии (на момент начала сессии).
  Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=
  invalid reference

      InetServ#STATE_DISABLE

  `protected long`
  `id`
  `protected Date`
  `lastActive`
  `protected long`
  `parentId`
  `protected BigDecimal`
  `sessionCost`
  `protected Date`
  `sessionStart`
  `protected Date`
  `sessionStop`
  `protected long`
  `sessionTime`
  `protected long`
  `splittedId`
  `protected int`
  `status`
  `static final short`
  `STATUS_ALIVE`
  `static final short`
  `STATUS_CLOSED`
  `static final short`
  `STATUS_FINISHED`
  `static final short`
  `STATUS_SUSPENDED`
  `static final int`
  `TYPE_FAKE`
  `static final int`
  `TYPE_NORMAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetSession()`
  `InetSession(InetConnection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getConnectionId()`
  `short`
  `getDeviceState()`
  Состояние на устройстве для сессии (на момент начала сессии).
  Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=
  invalid reference

      InetServ#STATE_DISABLE

  `long`
  `getId()`
  `Date`
  `getLastActive()`
  `long`
  `getParentId()`
  `BigDecimal`
  `getSessionCost()`
  `Date`
  `getSessionStart()`
  `Date`
  `getSessionStop()`
  `long`
  `getSessionTime()`
  `long`
  `getSplittedId()`
  `int`
  `getStatus()`
  `InetSession`
  `setConnectionId(long connectionId)`
  `InetSession`
  `setDeviceState(short type)`
  Состояние на устройстве для сессии (на момент начала сессии).
  Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=
  invalid reference

      InetServ#STATE_DISABLE

  `InetSession`
  `setId(long id)`
  `InetSession`
  `setLastActive(Date lastActive)`
  `InetSession`
  `setParentId(long parentId)`
  `InetSession`
  `setSessionCost(BigDecimal sessionCost)`
  `InetSession`
  `setSessionStart(Date sessionStart)`
  `InetSession`
  `setSessionStop(Date sessionStop)`
  `InetSession`
  `setSessionTime(long sessionTime)`
  `InetSession`
  `setSplittedId(long splittedId)`
  `InetSession`
  `setStatus(int status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_ALIVE

    public static final short STATUS_ALIVE
    See Also:
      - Constant Field Values

  - ### STATUS_SUSPENDED

    public static final short STATUS_SUSPENDED
    See Also:
      - Constant Field Values

  - ### STATUS_CLOSED

    public static final short STATUS_CLOSED
    See Also:
      - Constant Field Values

  - ### STATUS_FINISHED

    public static final short STATUS_FINISHED
    See Also:
      - Constant Field Values

  - ### TYPE_NORMAL

    public static final int TYPE_NORMAL
    See Also:
      - Constant Field Values

  - ### TYPE_FAKE

    public static final int TYPE_FAKE
    See Also:
      - Constant Field Values

  - ### id

    protected long id

  - ### connectionId

    protected long connectionId

  - ### parentId

    protected long parentId

  - ### splittedId

    protected long splittedId

  - ### sessionStart

    protected Date sessionStart

  - ### sessionStop

    protected Date sessionStop

  - ### lastActive

    protected Date lastActive

  - ### deviceState

    protected short deviceState
    Состояние на устройстве для сессии (на момент начала сессии).
    Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=
    invalid reference

        InetServ#STATE_DISABLE

  - ### sessionTime

    protected long sessionTime

  - ### sessionCost

    protected BigDecimal sessionCost

  - ### status

    protected int status

- ## Constructor Details

  - ### InetSession

    public InetSession()

  - ### InetSession

    public InetSession(InetConnection connection)

- ## Method Details

  - ### getId

    public long getId()

  - ### setId

    public InetSession setId(long id)

  - ### getConnectionId

    public long getConnectionId()

  - ### setConnectionId

    public InetSession setConnectionId(long connectionId)

  - ### getParentId

    public long getParentId()

  - ### setParentId

    public InetSession setParentId(long parentId)

  - ### getSplittedId

    public long getSplittedId()

  - ### setSplittedId

    public InetSession setSplittedId(long splittedId)

  - ### getDeviceState

    public short getDeviceState()
    Состояние на устройстве для сессии (на момент начала сессии).
    Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=
    invalid reference

        InetServ#STATE_DISABLE

    Returns:

  - ### setDeviceState

    public InetSession setDeviceState(short type)
    Состояние на устройстве для сессии (на момент начала сессии).
    Для CoA соединений, когда доступ отключается CoA - начинается новая session с deviceState=
    invalid reference

        InetServ#STATE_DISABLE

    Returns:

  - ### getSessionStart

    public Date getSessionStart()

  - ### setSessionStart

    public InetSession setSessionStart(Date sessionStart)

  - ### getSessionStop

    public Date getSessionStop()

  - ### setSessionStop

    public InetSession setSessionStop(Date sessionStop)

  - ### getLastActive

    public Date getLastActive()

  - ### setLastActive

    public InetSession setLastActive(Date lastActive)

  - ### getSessionTime

    public long getSessionTime()

  - ### setSessionTime

    public InetSession setSessionTime(long sessionTime)

  - ### getSessionCost

    public BigDecimal getSessionCost()

  - ### setSessionCost

    public InetSession setSessionCost(BigDecimal sessionCost)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public InetSession setStatus(int status)